{% extends 'base.html' %}
{% load static %}

{% block title %} Widget's Announcement Board {% endblock %}
{% block heading %}
    <h1 id="header"> Welcome to Widget's Announcement Board! </h1>
{% endblock %}
{% block content %}
    <h2 class="subheader"> Announcements: </h2>
    <ul>
            {% for object in announcements|dictsortreversed:"pub_datetime" %}
            <li class="object-cell">
                <a href="{{ object.get_absolute_url }}"> <span class="object-title">{{ object.title }}</span> by 
                    {{ object.author.first_name}} {{ object.author.last_name }}
                </a>
            </li>
            {% endfor %}
    </ul>
	<hr>
	<button onclick="window.location.href='{% url 'announcements:announcements-add' %}'" class="action-button">
        New Announcement
    </button>
    <div id="footer">
        <a href="{% url 'dashboard:index' %}">Dashboard</a>
        <a href="{% url 'forum:index' %}">Forum</a>
        <a href="{% url 'assignments:homePage' %}">Assignments</a>
        <a href="{% url 'widget_calendar:index' %}">Calendar</a>
    </div>

{% endblock %}
